# Class CIM_RouteForwardedByService
extends CIM_Dependency

This assocation makes explicit the next hops that are forwarded by a specific ForwardingService, to reach the destination. Every ForwardingService can have its own unique set of routing destinations and next hops. The association is deprecated since it is incorrect to mandate the existence of a ForwardingService in order to define the existence of a route.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RouteForwardedByService

## Direct Known Subclasses

CIM_ForwardedRoutes

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | This assocation makes explicit the next hops that are forwarded by a specific ForwardingService, to reach the destination. Every ForwardingService can have its own unique set of routing destinations and next hops. The association is deprecated since it is incorrect to mandate the existence of a ForwardingService in order to define the existence of a route.
UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AdminDistance | uint16 |
Deprecated | string | CIM_NextHopRoute.AdminDistance
Description | string | This property contains the current administrative distance of this route, for the ForwardingService. Note that this property indicates current, specific values - whereas an instance of the CIM_AdministrativeDistance class defines default distances.
PathMetric | uint16 |
Deprecated | string | CIM_NextHopRoute.RouteMetric
Description | string | PathMetric provides a numeric indication as to the preference of this route compared to other routes that reach the same destination.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RouteForwardedByService | CIM_ForwardingService
Dependent | CIM_RouteForwardedByService | CIM_NextHopRouting

## Class Methods